curl --request POST \
--url https://app.miyon.ai/api/v1/evals/{id}/duplicate \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.miyon.ai/api/v1/evals/{id}/duplicate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.miyon.ai/api/v1/evals/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.miyon.ai/api/v1/evals/{id}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.miyon.ai/api/v1/evals/{id}/duplicate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.miyon.ai/api/v1/evals/{id}/duplicate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.miyon.ai/api/v1/evals/{id}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"slug": "<string>",
"active": true,
"cases": [
{
"id": 123,
"name": "<string>",
"position": 123,
"mode": "scripted",
"turns": [
{
"id": 123,
"name": "<string>",
"position": 123,
"user_input": "<string>",
"no_more_events": true,
"original_assistant_response": "<string>",
"assistant_intent": "<string>",
"assistant_contains": [
"<string>"
],
"assistant_contains_any": [
"<string>"
],
"assistant_not_contains": [
"<string>"
],
"tool_calls": [
{
"name": "<string>",
"arguments_contains": {}
}
],
"source": {
"conversation_id": 123,
"conversation_name": "<string>",
"imported_at": "2023-11-07T05:31:56Z"
}
}
],
"context": "<string>",
"source": {
"conversation_id": 123,
"conversation_name": "<string>",
"imported_at": "2023-11-07T05:31:56Z"
},
"user_persona": "<string>",
"opening_message": "<string>",
"max_turns": 123,
"goal_intent": "<string>",
"goal_tool_calls": [
{
"name": "<string>"
}
]
}
],
"recent_runs": [
{
"id": 123,
"status": "pending",
"sequence_number": 123,
"total_cases": 123,
"passed_cases": 123,
"failed_cases": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration": 123,
"results": "<unknown>",
"error_message": "<string>"
}
],
"runs_pagination": {
"current_page": 123,
"total_pages": 123,
"total_entries": 123
},
"agent_id": 123,
"description": "<string>",
"number_id": 123,
"number_name": "<string>",
"meta": {
"caller_model": "<string>",
"judge_model": "<string>",
"mock_responses": {},
"tool_variants": [
{
"name": "<string>",
"prompt_override": "<string>",
"system_override": "<string>",
"model_override": "<string>",
"temperature_override": "<string>",
"tool_overrides": {}
}
]
},
"latest_run": {
"id": 123,
"status": "pending",
"total_cases": 123,
"passed_cases": 123,
"failed_cases": 123,
"completed_at": "2023-11-07T05:31:56Z"
},
"agent_name": "<string>"
}Duplicate an eval scenario
Creates a copy named <name> (Copy N) with the same agent, settings and cases. The copy has no runs. No request body.
curl --request POST \
--url https://app.miyon.ai/api/v1/evals/{id}/duplicate \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.miyon.ai/api/v1/evals/{id}/duplicate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.miyon.ai/api/v1/evals/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.miyon.ai/api/v1/evals/{id}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.miyon.ai/api/v1/evals/{id}/duplicate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.miyon.ai/api/v1/evals/{id}/duplicate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.miyon.ai/api/v1/evals/{id}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"slug": "<string>",
"active": true,
"cases": [
{
"id": 123,
"name": "<string>",
"position": 123,
"mode": "scripted",
"turns": [
{
"id": 123,
"name": "<string>",
"position": 123,
"user_input": "<string>",
"no_more_events": true,
"original_assistant_response": "<string>",
"assistant_intent": "<string>",
"assistant_contains": [
"<string>"
],
"assistant_contains_any": [
"<string>"
],
"assistant_not_contains": [
"<string>"
],
"tool_calls": [
{
"name": "<string>",
"arguments_contains": {}
}
],
"source": {
"conversation_id": 123,
"conversation_name": "<string>",
"imported_at": "2023-11-07T05:31:56Z"
}
}
],
"context": "<string>",
"source": {
"conversation_id": 123,
"conversation_name": "<string>",
"imported_at": "2023-11-07T05:31:56Z"
},
"user_persona": "<string>",
"opening_message": "<string>",
"max_turns": 123,
"goal_intent": "<string>",
"goal_tool_calls": [
{
"name": "<string>"
}
]
}
],
"recent_runs": [
{
"id": 123,
"status": "pending",
"sequence_number": 123,
"total_cases": 123,
"passed_cases": 123,
"failed_cases": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration": 123,
"results": "<unknown>",
"error_message": "<string>"
}
],
"runs_pagination": {
"current_page": 123,
"total_pages": 123,
"total_entries": 123
},
"agent_id": 123,
"description": "<string>",
"number_id": 123,
"number_name": "<string>",
"meta": {
"caller_model": "<string>",
"judge_model": "<string>",
"mock_responses": {},
"tool_variants": [
{
"name": "<string>",
"prompt_override": "<string>",
"system_override": "<string>",
"model_override": "<string>",
"temperature_override": "<string>",
"tool_overrides": {}
}
]
},
"latest_run": {
"id": 123,
"status": "pending",
"total_cases": 123,
"passed_cases": 123,
"failed_cases": 123,
"completed_at": "2023-11-07T05:31:56Z"
},
"agent_name": "<string>"
}Autorisierungen
Scoped API token. Required scopes are listed on each operation in x-required-scopes.
Pfadparameter
ID of the eval scenario.
Antwort
The copy.
Full scenario as returned by get, create, replace and duplicate.
ID of the scenario.
Scenario name.
URL-safe identifier generated from name.
Whether the scenario is active in the dashboard.
Test cases in order.
Show child attributes
Show child attributes
A page of recent runs, newest first.
Show child attributes
Show child attributes
Paging information for recent_runs.
Show child attributes
Show child attributes
The voice agent the scenario tests.
Free-text description.
Deprecated alias of agent_id.
Deprecated alias of agent_name.
Models and overrides used when running the scenario.
Show child attributes
Show child attributes
Summary of the most recent run.
Show child attributes
Show child attributes
Name of that voice agent.